libdevel-leak-perl - utility for looking for perl objects that are not reclaimed

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdevel-leak-perl
Package version: 0.03
Package release: 3+b1
Package architecture: amd64
Package type: deb
Installed size: 22 B
Download size: 10.44 KB
Official Mirror:
Devel::Leak has two functions: NoteSV and CheckSV. NoteSV walks the perl internal table of allocated SVs (scalar values) - (which actually contains arrays and hashes too), and records their addresses in a table. It returns a count of these "things", and stores a pointer to the table (which is obtained from the heap using malloc()) in its argument. CheckSV is passed argument which holds a pointer to a table created by NoteSV. It re-walks the perl-internals and calls sv_dump() for any "things" which did not exist when NoteSV was called. It returns a count of the number of "things" now allocated.



    Source package: libdevel-leak-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdevel-leak-perl deb package:
      # sudo apt-get install libdevel-leak-perl


    • /usr/lib/x86_64-linux-gnu/perl5/5.20/Devel/
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Devel/Leak/
    • /usr/share/doc/libdevel-leak-perl/changelog.Debian.amd64.gz
    • /usr/share/doc/libdevel-leak-perl/changelog.Debian.gz
    • /usr/share/doc/libdevel-leak-perl/copyright
    • /usr/share/man/man3/Devel::Leak.3pm.gz


    2014-03-09 - intrigeri <> libdevel-leak-perl (0.03-3) unstable; urgency=low * Team upload. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git:// * Change based URIs to based URIs [ Axel Beckert ] * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg- copyright" [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ intrigeri ] * Bump debhelper compat level to 9. * Adjust versioned Build-Depends on debhelper to (>= 9.20120312~) to get hardening build flags. * Reformat debian/control with cme fix dpkg. * Declare compatibility with Standards-Version 3.9.5.

    2011-08-26 - gregor herrmann <> libdevel-leak-perl (0.03-2) unstable; urgency=low [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * Switch to source format 3.0 (quilt). * Add a patch to fix "no sv_dump even with debugperl". Thanks to Tim Cutts for the bug report and the pointers. Closes: #639353 LP: #450482 * Use tiny debian/rules, switch to debhelper 8. * debian/copyright: use DEP5 formatting. * Set Standards-Version to 3.9.2, remove version from perl build dependency. * Lowercase short description. * Add /me to Uploaders.

    2008-05-09 - Edi Stojicevic <> libdevel-leak-perl (0.03-1) unstable; urgency=low * Initial Release. (Closes: #480383)